<?php
if (isset($_GET["a"]) && !empty($_GET["a"]) && $_GET["a"]<=5 && $_GET["a"]>=0)
{
if (file_exists("functions/site_functions.php"))
	{
	include_once("functions/site_functions.php");
	}
else
	{
include_once("../../embedded/functions/site_functions.php");
	}
db_open();	
$language=$_SESSION['language'];
if ($language==1)
	{
	$head1="Aισθητήρας εκτός λειτουργίας";
	$head2="Πρόβλημα δεδομένων αισθητήρα";
	$head3="Απώλεια σύνδεσης";
	$head4="Πρόβλημα email";
	$head5="Επιλέξτε τύπο";
	$head6="Eπιλέξτε Χρόνο/Μήνα";
	}
else
	{
	$head1="sensor not working";
	$head2="sensor data problem";
	$head3="connection problem";
	$head4="email problem";	
	$head5="Select problem";
	$head6="Select Year/Month";
	}
	
	$a= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET['a']))));
	if ($a==2)
	{
	echo '<select id="3" onchange="troubleshoots(3,this.value,1);"><option value="">'.$head6.'</option>';
	for ($i=1;$i<=12;$i++)
		{
		if($i<=9)
			{
			$i='0'.$i;
			}
		echo'<option value="'.date("Y").$i.'">'.date("Y").'-'.$i.'</option>';
		}
	echo "</select>";	
	}
	else if ($a==3)
		{
		echo '<select id="4" onchange="troubleshoots(4,this.value,1);"><option value="">'.$head5.'</option>';
		echo '<option value="1">'.$head1.'</option><option value="2">'.$head2.'</option>';
		echo '<option value="3">'.$head3.'</option><option value="4">'.$head4.'</option>';
		echo "</select>";
		}
	else	
		{
		die();
		}
	
db_close();
	}
?>